/*
 *************************************************************************************************************
 * PickSortAusnahme.cpp       
 *
 * Das PickSort-Projekt-eigene simple Ausnahmesystem.
 *
 * Copyright (C) Andreas Eichendorf 2014 <PickSort@Andreas-Petra.de>            
 *************************************************************************************************************
 */


#include "PickSortAusnahme.h"


AusnahmeClass::AusnahmeClass()
{
 AusnahmeNummer = ALLGEMEIN;
 AusnahmeText = "Generic exception";
}  // AusnahmeClass


AusnahmeClass::AusnahmeClass(AusnahmeID ID, const Glib::ustring& Text)
{
 AusnahmeNummer = ID;
 AusnahmeText = Text;
}  // AusnahmeClass


AusnahmeClass::~AusnahmeClass()
{
}  // ~AusnahmeClass


const Glib::ustring& AusnahmeClass::GetAusnahmeText() const
{
 return AusnahmeText;
}  // GetAusnahmeText 


int AusnahmeClass::GetAusnahmeID() const
{
 return AusnahmeNummer;
}  // GetAusnahmeID


/*
 * PickSortAusnahme.h ****************************************************************************************
 */
